
Application: gvSIG desktop - gvSIG bugs #5533
Durante el arranque falla el script SelectTableDuplicates 
12/29/2020 08:26 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: José Olivas
Category:
Target version: 2.6.0-3216
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: 3205 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Durante el arranque falla el script SelectTableDuplicates a la hora de importar h2 por que no encuentra el paquete.

 WARN 42341 [Thread-9] (ScriptingUtils.java:475) - Can't execute autorun from
'/home/jjdelcerro/gvSIG-desktop/gvSIG-desktop-2.6.0-3205-devel-lin-x86_64/preferences/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.6.0/scripts/addons/SelectTableDuplicates/autorun.inf'.
org.gvsig
.mainplugin/2.6.0/scripts/addons/SelectTableDuplicates/autorun.inf'.
org.gvsig.scripting.CompileErrorException: ImportError: No module named h2 in <script> at line number 8
        at org.gvsig.scripting.impl.DefaultScriptingScript.compile(DefaultScriptingScript.java:585)
        at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:653)
        at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:641)
        at org.gvsig.scripting.app.extension.ScriptingUtils$AbstractExecuteScripts.executeScripts(ScriptingUtils.java:470)
        at org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteScriptsFromFilesystem.run(ScriptingUtils.java:548)
        at org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteAutorunScriptsOnStartup.run(ScriptingUtils.java:374)
        at org.gvsig.andami.impl.DefaultPluginsManager$Task.run(DefaultPluginsManager.java:110)
        at org.gvsig.andami.impl.DefaultPluginsManager$1.run(DefaultPluginsManager.java:345)
        at java.lang.Thread.run(Thread.java:745)
Caused by: javax.script.ScriptException: ImportError: No module named h2 in <script> at line number 8
        at org.python.jsr223.MyPyScriptEngine.scriptException(MyPyScriptEngine.java:224)
        at org.python.jsr223.MyPyScriptEngine.eval(MyPyScriptEngine.java:49)
        at org.python.jsr223.MyPyScriptEngine.access$300(MyPyScriptEngine.java:21)
        at org.python.jsr223.MyPyScriptEngine$PyCompiledScript.eval(MyPyScriptEngine.java:252)
        at javax.script.CompiledScript.eval(CompiledScript.java:106)
        at org.gvsig.scripting.impl.DefaultScriptingScript.compile(DefaultScriptingScript.java:577)
        ... 8 more
Caused by: Traceback (most recent call last):
  File "<script>", line 8, in <module>
  File "__pyclasspath__/addons/SelectTableDuplicates/actions$py.class", line 21, in <module>
  File "__pyclasspath__/addons/SelectTableDuplicates/selectduplicates$py.class", line 11, in <module>
ImportError: No module named h2

        at org.python.core.Py.ImportError(Py.java:334)
        at org.python.core.imp.import_logic(imp.java:913)

Seguramente sera por el cambio de nombre del plugin de h2spatial. Habria que ver de actualizar el "use_plugin".
Lo mas correcto seria dejar de usar directamente h2, quitando el use_plugin, y ver si es viable utilizar el api de DAL, llamando a 
dataManager.createLargeMap() o dataManager.createLargeSet().

History
#1 - 03/05/2021 07:17 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3206 to 2.6.1-final

#2 - 03/09/2021 08:51 AM - José Olivas
- Target version changed from 2.6.1-final to 2.6.0-3216
- Status changed from New to Fixed

#3 - 05/19/2021 11:38 AM - Álvaro Anguix
- Status changed from Fixed to Closed
